Package org.eclipse.birt.report.model.api.elements.structures

# Class OdaDesignerState

java.lang.Object
org.eclipse.birt.report.model.core.Structure
org.eclipse.birt.report.model.api.elements.structures.OdaDesignerState

All Implemented Interfaces:
  `Cloneable`, `IStructure`, `org.eclipse.birt.report.model.core.IPropertySet`

public class OdaDesignerState extends org.eclipse.birt.report.model.core.Structure
The structure of the Oda designer state.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CHARSET`
Encoding mode for the data member.
`static final String`
`CONTENT_AS_BLOB_MEMBER`
Name of the "stateContentAsString" member.
`static final String`
`CONTENT_AS_STRING_MEMBER`
Name of the "stateContentAsString" member.
`static final String`
`STRUCTURE_NAME`
Name of this structure.
`static final String`
`VERSION_MEMBER`
Name of the "version" member.

## Constructor Summary

Constructors
Constructor
Description
`OdaDesignerState()`
Default constructor.
`OdaDesignerState(String version, String contentAsString, String contentAsBlob)`
Constructs the sort key with the key to sort and the direction.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getContentAsBlob()`
Returns the content data as byte arrays.
`String`
`getContentAsString()`
Returns the content data as string.
`StructureHandle`
`getHandle(SimpleValueHandle valueHandle)`
Return an `FormatValueHandle` to deal with the string format.
`protected Object`
`getIntrinsicProperty(String propName)`
Returns the value of a structure property represented as a member variable.
`String`
`getStructName()`
Returns the name of the structure definition.
`String`
`getVersion()`
Returns the version of the designer state's data.
`StructureHandle`
`handle(SimpleValueHandle valueHandle, int index)`
Creates the specific handle of this structure.
`void`
`setContentAsBlob(byte[] contentBlob)`
Sets the content data as byte arrays.
`void`
`setContentAsString(String contentString)`
Sets the content data as string.
`protected void`
`setIntrinsicProperty(String propName, Object value)`
Sets the value of of a structure property represented as a member variable.
`void`
`setVersion(String version)`
Sets the version of the designer state's data.

### Methods inherited from class org.eclipse.birt.report.model.core.Structure

`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference, validate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STRUCTURE_NAME

public static final String STRUCTURE_NAME
Name of this structure. Matches the definition in the meta-data dictionary.

See Also:
  - Constant Field Values

### VERSION_MEMBER

public static final String VERSION_MEMBER
Name of the "version" member. Version of the designer state's data format.

See Also:
  - Constant Field Values

### CONTENT_AS_STRING_MEMBER

public static final String CONTENT_AS_STRING_MEMBER
Name of the "stateContentAsString" member. The data of the content as a string.

See Also:
  - Constant Field Values

### CONTENT_AS_BLOB_MEMBER

public static final String CONTENT_AS_BLOB_MEMBER
Name of the "stateContentAsString" member. The data of the content as a byte array.

See Also:
  - Constant Field Values

### CHARSET

public static final String CHARSET
Encoding mode for the data member.

See Also:
  - Constant Field Values

## Constructor Details

### OdaDesignerState

public OdaDesignerState(String version, String contentAsString, String contentAsBlob)
Constructs the sort key with the key to sort and the direction.

Parameters:
  `version` -
  `contentAsString` -
  `contentAsBlob` -

### OdaDesignerState

public OdaDesignerState()
Default constructor.

## Method Details

### getStructName

public String getStructName()
Description copied from interface: `IStructure`
Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

Returns:
  the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

protected Object getIntrinsicProperty(String propName)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Returns the value of a structure property represented as a member variable.

Specified by:
  `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - name of the property
Returns:
  the value of the property, or null if the property is not set

### setIntrinsicProperty

protected void setIntrinsicProperty(String propName, Object value)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Sets the value of of a structure property represented as a member variable.

Specified by:
  `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - the name of the property to set
  `value` - the property value

### getVersion

public String getVersion()
Returns the version of the designer state's data.

Returns:
  the version of the designer state's data.

### setVersion

public void setVersion(String version)
Sets the version of the designer state's data.

Parameters:
  `version` - the version of the designer state's data.

### getContentAsBlob

public byte[] getContentAsBlob()
Returns the content data as byte arrays.

Returns:
  the content data as byte arrays.

### setContentAsBlob

public void setContentAsBlob(byte[] contentBlob)
Sets the content data as byte arrays.

Parameters:
  `contentBlob` - the content data as byte arrays.

### getContentAsString

public String getContentAsString()
Returns the content data as string.

Returns:
  the content data as string.

### setContentAsString

public void setContentAsString(String contentString)
Sets the content data as string.

Parameters:
  `contentString` - the content data as string.

### getHandle

public StructureHandle getHandle(SimpleValueHandle valueHandle)
Return an `FormatValueHandle` to deal with the string format.

Overrides:
  `getHandle` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `valueHandle` - the property or member handle
Returns:
  the structure handle

### handle

public StructureHandle handle(SimpleValueHandle valueHandle, int index)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Creates the specific handle of this structure. This handle is always created.

Specified by:
  `handle` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
  `index` - the position of this structure in structure list
Returns:
  the handle of this structure.